FREDFRED docs

Créer une nouvelle version d’un insert de colis

Crée une nouvelle version (l'ancienne devient inactive, les jobs déjà commandés la conservent).

Publié par FRED

PATCH
/v1/brands/{brand_id}/inserts/{insert_id}

Crée une nouvelle version (l'ancienne devient inactive, les jobs déjà commandés la conservent).

Autorisation

ApiKeyAuth
X-API-Key<token>

Clé créée dans le dashboard, à conserver sur votre serveur.

Emplacement: header

Paramètres de chemin

brand_id*Brand Id
insert_id*Insert Id

Corps de la requête

application/json

Définitions TypeScript

Utiliser le type request body en TypeScript.

Corps de la réponse

application/json

application/json

curl -X PATCH "https://example.com/v1/brands/string/inserts/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "design": {    "version": 1,    "template": "string",    "orientation": "landscape",    "background": "string",    "accent": "string",    "pattern": "checker",    "layers": [      {        "id": "string",        "type": "image",        "x": 0,        "y": 0,        "width": 1,        "height": 1,        "rotation": 0,        "color": "#222222",        "text": "",        "font": "bold",        "font_size": 80,        "align": "center",        "shape": "circle",        "file_id": "string"      }    ]  },  "id": "string",  "object": "insert",  "brand_id": "string",  "name": "string",  "kind": "string",  "artwork_file_id": "string",  "artwork_url": "string",  "width_mm": 0,  "height_mm": 0,  "notes": "string",  "version": 0,  "lineage_id": "string",  "active": true,  "created_at": "string",  "specification": {}}

Cette page vous a-t-elle été utile ?